﻿-- Author      : Carz
-- Create Date : 5/29/2009 10:49:15 PM



if not nUI then return end
if not DockingStation then return end

local function DetectDockingStationBars()

	local bar1 = DockingStationTop:IsVisible() or false
	local bar2 = DockingStationBottom and DockingStationBottom:IsVisible() or false
	
	if (bar1) then
		nUI_TopBarsLocator:SetPoint("BOTTOM", DockingStationTop, "BOTTOM", 0, 0)
	else
		nUI_TopBarsLocator:SetPoint("BOTTOM", UIParent, "TOP", 0, 0)
	end
	
	if bar2 then
		nUI_BottomBarsLocator:SetPoint("TOP", DockingStationBottom, "TOP", 0, 0)
	else
		nUI_BottomBarsLocator:SetPoint("TOP", UIParent, "BOTTOM", 0, 0)
	end	
end

-------------------------------------------------------------------------------

local frame = CreateFrame("Frame", "nUI_DockingStationEvents", WorldFrame)

local function onDockingStationEvent()

	if event == "PLAYER_LOGIN" then
		if IsAddOnLoaded("DockingStation") then
			DetectDockingStationBars()
		end
	end
	
end

frame:SetScript("OnEvent", onDockingStationEvent)
frame:RegisterEvent("PLAYER_LOGIN")
